Subject: Re: [PATCH v4 08/11] ASoC: Intel: atom: Make PCI dependency explicit

From: Pierre-Louis Bossart <[email-masked]>
Date: Mon, 31 Dec 2018 14:29:28 -0600

On 12/31/18 1:35 PM, Sinan Kaya wrote:
> On Mon, Dec 31, 2018 at 10:30 PM Mark Brown <[email-masked]> wrote:
>> On Mon, Dec 31, 2018 at 08:52:52PM +0300, Sinan Kaya wrote:
>>> On Mon, Dec 31, 2018 at 8:47 PM Mark Brown <[email-masked]> wrote:
>>>> I don't have the cover letter or anything for this series, what's going
>>>> on with dependencies?
>>> Here is the executive summary:
>>> I have a changeset that separates ACPI from PCI on 4.21. CONFIG_ACPI
>>> used to select PCI. This is no longer true.
>>> You can build an ACPI system without any PCI devices.
>> So there's no dependency and I can just apply this?
> The plan is to apply this patchset via ACPI tree. Need an Acked-by per patch.
Anytime we change the Kconfig settings for audio, we get all kinds of 
problems with randconfig and 0day/kbuild due to depend/select issues. 
I'd like to give this a spin first, can you share a link to the entire 
series? Thanks!